LibreOffice: Layer Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
Layer Service Referencepublished

A layer is an entity inside a document which contains shapes. More...

`import <Layer.idl;`

Inheritance diagram for Layer:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| The properties in this set affect all Shapes attached to this Layer.

## Public Attributes
string | Name
| The name of a Layer is used to identify the Layer in the user interface.
boolean | IsVisible
| If a Layer is not visible, the objects in this Layer are not shown in the user interface.
boolean | IsPrintable
| If a Layer is not printable, the objects in this Layer are not printed.
boolean | IsLocked
| If a Layer is locked, the objects in this Layer cannot be edited in the user interface.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

A layer is an entity inside a document which contains shapes.

There could be zero or more Shapes attached to such a layer.

The properties of a Layer instance affect all Shapes attached to the Layer.

See also
  DrawingDocument
  LayerManager

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

The properties in this set affect all Shapes attached to this Layer.

## Member Data Documentation

## ◆ IsLocked

boolean IsLocked
| property

If a Layer is locked, the objects in this Layer cannot be edited in the user interface.

## ◆ IsPrintable

boolean IsPrintable
| property

If a Layer is not printable, the objects in this Layer are not printed.

## ◆ IsVisible

boolean IsVisible
| property

If a Layer is not visible, the objects in this Layer are not shown in the user interface.

## ◆ Name

string Name
| property

The name of a Layer is used to identify the Layer in the user interface.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/Layer.idl